Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2630 - rpm-3.0 on HP-UX 10.20 has problems with command line parsing
Summary: rpm-3.0 on HP-UX 10.20 has problems with command line parsing
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-07 09:40 UTC by benedict
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-14 18:54:32 UTC


Attachments (Terms of Use)

Description benedict 1999-05-07 09:40:39 UTC
I installed rpm-3.0 as compiled out of the box for
HPUX-10.20

The binary seems to have problems somewhere in parsing of
command line arguments, as seen from the following command
examples:

	# rpm
	rpm: unexpected query source

	# rpm --version
	RPM version 3.0
	rpm: unexpected query source
	# rpm --rcfile=/etc/rpmrc --version
	RPM version 3.0
	#

Comment 1 Jeff Johnson 1999-05-13 17:15:59 UTC
Command line parsing in rpm is done with popt. There appears to
be a problem there. Can you supply the HP-UX equivalent of
	strace rpm
so I can begin to guess what's broke?

Comment 2 benedict 1999-05-14 08:41:59 UTC
The problem disappears when rpm is built without optimization.
Seems to be due to a compiler problem, not rpm source.

Comment 3 Jeff Johnson 1999-05-14 18:54:59 UTC
Please reopen this bug if you have a fix.


Note You need to log in before you can comment on or make changes to this bug.